-----------------------------------------
-- Addon: Relational DKP
-- By: Shazear 
-- Shizukana <Veterans of the Phoenix>, Malygos
-- e-mail: shazear@hotmail.com
-- Code also used from CTRT
-- References: 
-----------------------------------------

-----------------------------------------
-- Variables & Constants:
-- TODO: Separate the constants from the variables that will be set in-game.

-----------------------------------------
-- Background Contants:
RDKP_FULL_VERSION = "1.0.0.3";
RDKP_INTERFACE_VERSION = "01";
RDKP_INTERFACE_VERSION_OLD = "00";
RDKP_b_Debug = false; -- Set for Getting debug output.
RDKP_SZ_ADDON_PREFIX = "RDKP" ..  RDKP_INTERFACE_VERSION;
RDKP_SZ_ADDON_PREFIX_OLD = "RDKP" ..  RDKP_INTERFACE_VERSION_OLD;
RDKP_SZ_RAIDKEY_PREFIX = "RKID!";
RDKP_SZ_FIELD_DELIMITER = "!";
RDKP_SZ_HAVERAID_PREFIX = "HAVE_RAID ";
RDKP_SZ_REQUESTRAID_PREFIX = "REQ_RAID ";
RDKP_SZ_CHAR_TRANSMIT_PREFIX = "CHARS ";
RDKP_SZ_LASTUPDATE = "LastUpdated";
RDKP_SZ_MYCHARACTERS = "MyCharacters";
RDKP_SZ_MYMAINCHAR = "MyMainCharacter";
RDKP_SZ_DKPFORTIME = "RDKP_DKPForTime";
RDKP_SZ_MAINCHAR = "szMain";

-----------------------------------------
-- Semi volitile settings: 
-- If these change, they will need to be pushed out to the other clients.
RDKP_TABLE_DKP_VALUE = {
	["trash"] = 0, -- DKP is increased this amount for each non-boss kill.
	["kill"] = 5, -- DKP is increased this amount for each boss kill.
	["hour"] = 1, -- DKP is increased this amount for each hour that goes by.
	["raid_start"] = 0, -- DKP is increased this amount for a players initial join of a raid.
}

RDKP_GR_VALUE = {
	["ff0070dd"] = { -- Rare
		--    * Blue items from ZG/AQ20: 15 DKP points
		["Zul'Gurub"] = 15,
		["Ruins of Ahn'Qiraj"] = 15,
		--    * Blue items from MC+: 25 DKP points
		["Molten Core"] = 25,
		["Temple of Ahn'Qiraj"] = 25;
		["Blackwing Lair"] = 25;
		["Naxxramas"] = 25;
	},
	["ffa335ee"] = { -- Epic
		--    * Epic items from ZG/AQ20: 20 DKP points
		["Zul'Gurub"] = 20,
		["Ruins of Ahn'Qiraj"] = 20,
		--    * Epic items from MC: 30 DKP points
		["Molten Core"] = 30,
		--    * Epic items from AQ40: 35 DKP points
		["Temple of Ahn'Qiraj"] = 35;
		--    * Epic items from BWL: 40 DKP points
		["Blackwing Lair"] = 40;
		-- Below value used to fill.
		["Naxxramas"] = 45;
	},
	["ffff8000"] = { -- Legendary
		-- No Rules for this.
	}
}

-----------------------------------------
-- Data Contants:
-- These shouldn't change, only grow w/ WOW patches.
-- Table of the gear valuation by zone.  Rares, Epics, and Legendaries, and then by zone.  
RDKP_Table_Zones = {
	-- Put the Zones in here. we're going to probably want to match what we get from
	-- GetRealZoneText() 
	-- This is the list found on WoWWiki:
	"Onyxia's Lair", 
	"Zul'Gurub",
	"Molten Core",
	"Blackwing Lair",
	"Ruins of Ahn'Qiraj",
	"Temple of Ahn'Qiraj",
	"Naxxramas",
	-- Including All WOW:BC instances for now.  
	"Hellfire Citadel",
	"Coilfang Reservoir",
	"Auchindoun",
	"Tempest Keep",
	"Karazhan",
	"Black Temple"
};

-- List of bosses that we will award DKP for.
RDKP_Table_Bosses = {
	-- ZG:
	"High Priestess Jeklik",
	"High Priest Venoxis",
	"High Priestess Mar'li",
	"High Priest Thekal",
	"High Priestess Arlokk",
	"Hakkar the Soulflayer",
	"Bloodlord Mandokir",
	"Jin'do the Hexxer",
	"Gahz'ranka",
	"Gri'lek",
	"Renataki",
	"Hazza'rah",
	"Wushoolay",
	-- AQ 20:
	"Kurinnaxx",
	"General Rajaxx",
	"Moam",
	"Buru the Gorger",
	"Ayamiss the Hunter",
	"Ossirian the Unscarred",
	-- MC:
	"Lucifron",
	"Magmadar",
	"Gehennas",
	"Garr",
	"Baron Geddon",
	"Shazzrah",
	"Golemagg The Incinerator",
	"Sulfuron Harbinger",
	"Majordomo Executus",
	"Ragnaros",
	-- Ony:
	"Onyxia",
	-- BWL:
	"Razorgore the Untamed",
	"Vaelastrasz the Corrupt",
	"Broodlord Lashlayer",
	"Firemaw",
	"Ebonroc",
	"Flamegor",
	"Chromaggus",
	"Nefarian",
	-- AQ40:
	"The Prophet Skeram",
	"Vem",
	"Yauj",
	"Kri",
	"Battleguard Sartura",
	"Fankriss the Unyielding",
	"Viscidus",
	"Princess Huhuran",
	"Emperor Vek'lor",
	"Emperor Vek'nilash",
	"Ouro the Sandworm",
	"C'Thun",
	-- Naxx:
	"Anub'Rekhan",
	"Grand Widow Faerlina",
	"Maexxna",
	"Patchwerk",
	"Grobbulus",
	"Gluth",
	"Thaddius",
	"Feugen",
	"Stalagg",
	"Noth The Plaguebringer",
	"Heigan the Unclean",
	"Loatheb",
	"Instructor Razuvious",
	"Gothik the Harvester",
	"Highlord Mograine",
	"Thane Korthazz",
	"Lady Blaumeux",
	"Sir Zeliek",
	"Sapphiron",
	"Kel'Thuzad"
}

-- List of Materials created when DisEnchanting a drop.
RDKP_Table_DEMats = {
	"Nexus Crystal",
	"Small Glimmering Shard",
	"Large Glimmering Shard",
	"Small Radiant Shard",
	"Small Glowing Shard",
	"Large Glowing Shard",
	"Small Radiant Shard",
	"Large Radiant Shard",
	"Small Brilliant Shard",
	"Large Brilliant Shard",
	"Greater Astral Essence",
	"Greater Eternal Essence",
	"Greater Magic Essence",
	"Greater Mystic Essence",
	"Greater Nether Essence",
	"Lesser Astral Essence",
	"Lesser Eternal Essence",
	"Lesser Magic Essence",
	"Lesser Mystic Essence",
	"Lesser Nether Essence",
	"Dream Dust",
	"Illusion Dust",
	"Soul Dust",
	"Strange Dust",
	"Vision Dust",
}


-- Table of players to track.  This table will be pulled from the guildlist.
RDKP_Table_MasterPlayers = {
}

-- Log of all Raid Transactions
RDKP_Table_Raid_Register = {
}

-- Log of Toons associated w/ this account.
RDKP_Table_CharacterMap = {
	[RDKP_SZ_MYCHARACTERS] = nil,
}

RDKP_Table_RaidInfo = {
	["RDKP_RaidID"] = nil,
	["RDKP_Master"] = nil,
	["RDKP_TransactionID"] = 0,
	["RDKP_bCurrentRaid"] = nil,
}
-- End Variables
-----------------------------------------

