-----------------------------------------
-- Addon: Relational DKP
-- By: Shazear 
-- Shizukana <Veterans of the Phoenix>, Malygos
-- e-mail: shazear@hotmail.com
-- Code also used from CTRT
-- References: 
-----------------------------------------
RDKP_SZ_HEADER = "Relational DKP System UI";
RDKP_SZ_SETTINGS = "Relational DKP Settings";

function RDKP_ShowUI()
	-- This is the Command to show the UI 
	RDKP_Debug("RDKP_ShowUI()");
	RelationalDKP_TopFrame:Show();
end

function RDKP_OnShow()
	RDKP_Debug("RDKP_OnShow()");
end

function RDKP_GetZones()
	local szZones = "";
	for i, v in RDKP_Table_Zones do
		szZones = szZones .. "\n" .. v
	end
	return szZones;
end 

function RDKP_ShowSummary()
	RDKP_Debug("RDKP_ShowSummary()");
	-- Show the summary of players, along w/ their priority value.
	-- Sort Player list by Priority
	RDKP_SortMasterListbyPriority();
	-- return that table - elements will need to be selectable.
	return RDKP_GetPlayers();
end

function RDKP_PriorityOnClick()
	RDKP_Debug("RDKP_PriorityOnClick()");
	RelationalDKP_DataFrame_Text:SetText(RDKP_ShowSummary());
end

function RDKP_SettingsOnClick()
	RDKP_Debug("RDKP_SettingsOnClick()");
	local szDKP, szGR = RDKP_GetSettings();
	local szOutput = szDKP .. "\n" .. szGR;
	RelationalDKP_DataFrame_Text:SetText(szOutput);
end

function RDKP_RaidStartOnClick()
	RDKP_Debug("RDKP_RaidStartOnClick()");
	if (not (RDKP_Table_RaidInfo["RDKP_bCurrentRaid"])) then
		-- Starting raid.
		RDKP_StartRaid();
		RelationalDKP_TopFrame_StartRaid:SetText("End Raid");
		RelationalDKP_DataFrame_Text:SetText("Starting Raid...\nPlease click 'EndRaid' when the raid is finished.\nHowever, raid tracking/DKP will be closed if you leave the group.");
	elseif (RDKP_Table_RaidInfo["RDKP_bCurrentRaid"]) then
		-- Ending raid.
		RDKP_EndRaid();
		RelationalDKP_TopFrame_StartRaid:SetText("Start Raid");
		RelationalDKP_DataFrame_Text:SetText("Ending Raid...");
	end
end

function RDKP_SetAsMainOnClick()
	RDKP_Debug("RDKP_SetAsMainOnClick()");
	RelationalDKP_DataFrame_Text:SetText("Will at some point set the current character as the main for any others for this player.");
	RDKP_PlayerMap_SetAsMain();
end

function RDKP_PriorityButton_OnClick(arg1)
	RDKP_Debug("RDKP_PriorityButton_OnClick()");
end
